Ask Your Question
0

Why Fedora 20 don't have QT 5 in the repos?

asked 2013-12-07 11:41:04 -0600

Charles Wang gravatar image

updated 2014-01-27 05:28:47 -0600

FranciscoD_ gravatar image

As you know, QT 5.1 has released as final version, and 5.2 RC has also released, but QT 4.8.5 still is in Fedora 20 RC repos, why?

edit retag flag offensive close merge delete

4 Answers

Sort by » oldest newest most voted
4

answered 2013-12-07 13:26:55 -0600

olea gravatar image

updated 2014-01-27 05:28:15 -0600

FranciscoD_ gravatar image

The update database says they are:

http://admin.fedoraproject.org/updates/qt5-qtbase

:-m

edit flag offensive delete link more
1

answered 2013-12-07 14:38:06 -0600

skytux gravatar image

updated 2013-12-07 14:41:13 -0600

There are a bunch of packages related to qt5 in my Fedora 20 virtual machine. The command yum search qt5 lists 157 packages here :)

HTH,

Germán.

edit flag offensive delete link more

Comments

Thanks, I'll test it.

Charles Wang gravatar imageCharles Wang ( 2013-12-07 21:44:48 -0600 )edit
0

answered 2014-08-12 08:27:23 -0600

patrick gravatar image

updated 2014-08-12 08:34:10 -0600

Well, you can switch over to qt5 inside the qt4 creator and a lot of stuff works, but some doesn't, it's only a partial solution. For example if you are building with qt5 and make a plugin for qtcreator it won't run since qtcreator is a qt4 application. I would also love it if they'd make this possible. Just a package for qtcreator-qt5 would be awesome. Without it you have to build from source. Within that constraint, you would Tools -> Options -> Qt Versions -> Add and tell it where to find qmake-qt4

edit flag offensive delete link more
0

answered 2014-01-26 22:32:47 -0600

There are really a bunch of qt5 packages, but the only qt-creator package is based in qt4.8.5 and it does not detect qt5 when you go to "Qt Versions" in the "Build & Run" options menu. The only way I found to build qt5 applications in Fedora using qt creator is to download the installer from qt-project.org .

It would be nice to have Fedora repos updated or at least to know why it is outdated. Maybe there's a reason.

edit flag offensive delete link more

Comments

Fedora QtCreator can recognize Fedora Qt5 easily. If not automatically, all you need is to add a new version inside Qt Creator manually and give it the path of qmake-qt5 command. I'm already using it for building both Qt4 and Qt5 applications

hedayat gravatar imagehedayat ( 2014-08-12 16:02:08 -0600 )edit

Question Tools

Stats

Asked: 2013-12-07 11:41:04 -0600

Seen: 12,141 times

Last updated: Aug 12 '14